package com.ym.mec.biz.dal.dao;

import com.ym.mec.biz.dal.entity.MusicGroupPaymentCalender;
import com.ym.mec.common.dal.BaseDAO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface MusicGroupPaymentCalenderDao extends BaseDAO<Long, MusicGroupPaymentCalender> {


    /**
     * 根据乐团编号删除乐团缴费周期
     * @param musicGroupId
     */
    void delByGroupId(String musicGroupId);

    /**
     * 根据乐团编号获取乐团缴费日历
     * @param musicGroupId
     * @return
     */
    List<MusicGroupPaymentCalender> findByMusicGroupId(String musicGroupId);

    /**
     * 批量新增乐团缴费周期
     * @param calender
     * @param musicGroupId
     */
    void batchAdd(@Param("calender") List<Integer> calender,@Param("musicGroupId") String musicGroupId);
}