package com.ym.mec.biz.dal.dao;

import com.ym.mec.biz.dal.dto.StudentExercisesSituationDto;
import com.ym.mec.biz.dal.entity.StudentExtracurricularExercisesSituation;
import com.ym.mec.common.dal.BaseDAO;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface StudentExtracurricularExercisesSituationDao extends BaseDAO<Long, StudentExtracurricularExercisesSituation> {

    /**
     * @describe 批量插入
     * @author Joburgess
     * @date 2020/4/10
     * @param situations:
     * @return int
     */
    int batchInsert(@Param("situations")List<StudentExtracurricularExercisesSituation> situations);

    /**
     * @describe 根据周一日期删除统计信息
     * @author Joburgess
     * @date 2020/4/10
     * @param monday:
     * @return int
     */
    int deleteByMonday(@Param("monday") String monday);

    List<StudentExercisesSituationDto> findExercisesSituations(Map<String, Object> params);
    int countExercisesSituations(Map<String, Object> params);

    List<StudentExercisesSituationDto> findExercisesSituationsById(@Param("ids") List<Long> ids);
	
}
