package com.ym.mec.biz.dal.dao;

import com.ym.mec.biz.dal.entity.TeacherDefaultVipGroupSalary;
import com.ym.mec.common.dal.BaseDAO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TeacherDefaultVipGroupSalaryDao extends BaseDAO<Long, TeacherDefaultVipGroupSalary> {

    /**
     * @Author: Joburgess
     * @Date: 2019/10/2
     * 根据教师和课程类型获取老师vip课默认薪酬
     */
    TeacherDefaultVipGroupSalary findByTeacherAndCategory(@Param("userId") Integer userId,
                                                          @Param("categoryId") Integer categoryId);

    /**
     * 根据教师编号删除vip课课酬设置
     * @param userId
     */
    void delByTeacherId(Integer userId);

    /**
     * 批量新增
     * @param teacherDefaultVipGroupSalaries
     */
    void batchAdd(@Param("vipGroupSalaries") List<TeacherDefaultVipGroupSalary> teacherDefaultVipGroupSalaries);
    
    List<TeacherDefaultVipGroupSalary> queryByUserId(Integer userId);
    
    List<TeacherDefaultVipGroupSalary> queryByUserIdList(@Param("userIdList") List<Integer> userIdList);
}