package com.ym.mec.biz.dal.entity;

import com.ym.mec.biz.dal.enums.SporadicChargeTypeEnum;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 对应数据库表(sporadic_charge_info):
 */
public class SporadicChargeInfo {
	/**  */
	private Integer id;

	@ApiModelProperty(value = "标题", required = true)
	private String title;

	@ApiModelProperty(value = "收费类型", required = true)
	private SporadicChargeTypeEnum chargeType;

	private Integer organId;

	private String organName;

	private BigDecimal amount;

	//优惠金额
	private BigDecimal discountAmount;

	private BigDecimal balance;

	private Integer userId;

	private String userName;

	@ApiModelProperty(value = "收费详情", required = true)
	private String detail;

	private Date createTime;

	private Date updateTime;

	@ApiModelProperty(value = "操作人编号", required = true)
	private Integer operatorId;

	@ApiModelProperty(value = "操作人", required = true)
	private String operatorName;

	@ApiModelProperty(value = "是否删除", required = true)
	private Integer delFlag;

	public String getUserName() {
		return userName;
	}

	public void setUserName(String userName) {
		this.userName = userName;
	}

	public Integer getUserId() {
		return userId;
	}

	public void setUserId(Integer userId) {
		this.userId = userId;
	}

	public Integer getDelFlag() {
		return delFlag;
	}

	public void setDelFlag(Integer delFlag) {
		this.delFlag = delFlag;
	}

	public String getOrganName() {
		return organName;
	}

	public void setOrganName(String organName) {
		this.organName = organName;
	}

	public String getOperatorName() {
		return operatorName;
	}

	public void setOperatorName(String operatorName) {
		this.operatorName = operatorName;
	}

	public BigDecimal getBalance() {
		return balance;
	}

	public void setBalance(BigDecimal balance) {
		this.balance = balance;
	}

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public SporadicChargeTypeEnum getChargeType() {
		return chargeType;
	}

	public void setChargeType(SporadicChargeTypeEnum chargeType) {
		this.chargeType = chargeType;
	}

	public Integer getOrganId() {
		return organId;
	}

	public void setOrganId(Integer organId) {
		this.organId = organId;
	}

	public BigDecimal getAmount() {
		return amount;
	}

	public void setAmount(BigDecimal amount) {
		this.amount = amount;
	}

	public String getDetail() {
		return detail;
	}

	public void setDetail(String detail) {
		this.detail = detail;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	public Integer getOperatorId() {
		return operatorId;
	}

	public void setOperatorId(Integer operatorId) {
		this.operatorId = operatorId;
	}

	public BigDecimal getDiscountAmount() {
		return discountAmount;
	}

	public void setDiscountAmount(BigDecimal discountAmount) {
		this.discountAmount = discountAmount;
	}
}
