package com.ym.mec.biz.dal.page;

import com.ym.mec.biz.dal.entity.CourseSchedule;
import com.ym.mec.biz.dal.enums.ClassGroupTypeEnum;
import com.ym.mec.biz.dal.enums.CourseStatusEnum;
import com.ym.mec.biz.dal.enums.GroupType;
import com.ym.mec.common.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

/**
 * @Author Joburgess
 * @Date 2019/12/27
 */
public class EndCourseScheduleQueryInfo extends QueryInfo {

    @ApiModelProperty(value = "部门编号列表")
    private String organIdList;

    @ApiModelProperty(value = "团体类型")
    private GroupType groupType;

    @ApiModelProperty(value = "团体编号")
    private String groupId;

    @ApiModelProperty(value = "班级编号")
    private Integer classGroupId;

    @ApiModelProperty(value = "学生编号")
    private String studentIdList;

    @ApiModelProperty(value = "学生名称")
    private String studentName;

    @ApiModelProperty(value = "教师编号")
    private String teacherIdList;

    @ApiModelProperty(value = "教师名称")
    private String teacherName;

    @ApiModelProperty(value = "开始时间")
    private Date startTime;

    @ApiModelProperty(value = "结束时间")
    private Date endTime;

    @ApiModelProperty(value = "课程状态")
    private CourseStatusEnum courseStatus;

    @ApiModelProperty(value = "课程类型")
    private CourseSchedule.CourseScheduleType courseType;

    @ApiModelProperty(value = "班级类型")
    private ClassGroupTypeEnum classGroupType;

    @ApiModelProperty(value = "教学点编号")
    private Integer schoolId;

    private boolean isExport = false;

    public boolean getIsExport() {
        return isExport;
    }

    public void setIsExport(boolean export) {
        isExport = export;
    }

    public Integer getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Integer schoolId) {
        this.schoolId = schoolId;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public ClassGroupTypeEnum getClassGroupType() {
        return classGroupType;
    }

    public void setClassGroupType(ClassGroupTypeEnum classGroupType) {
        this.classGroupType = classGroupType;
    }

    public CourseStatusEnum getCourseStatus() {
        return courseStatus;
    }

    public void setCourseStatus(CourseStatusEnum courseStatus) {
        this.courseStatus = courseStatus;
    }

    public CourseSchedule.CourseScheduleType getCourseType() {
        return courseType;
    }

    public void setCourseType(CourseSchedule.CourseScheduleType courseType) {
        this.courseType = courseType;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public String getOrganIdList() {
        return organIdList;
    }

    public void setOrganIdList(String organIdList) {
        this.organIdList = organIdList;
    }

    public String getStudentIdList() {
        return studentIdList;
    }

    public void setStudentIdList(String studentIdList) {
        this.studentIdList = studentIdList;
    }

    public String getTeacherIdList() {
        return teacherIdList;
    }

    public void setTeacherIdList(String teacherIdList) {
        this.teacherIdList = teacherIdList;
    }

    public GroupType getGroupType() {
        return groupType;
    }

    public void setGroupType(GroupType groupType) {
        this.groupType = groupType;
    }

    public String getGroupId() {
        return groupId;
    }

    public void setGroupId(String groupId) {
        this.groupId = groupId;
    }

    public Integer getClassGroupId() {
        return classGroupId;
    }

    public void setClassGroupId(Integer classGroupId) {
        this.classGroupId = classGroupId;
    }
}
