package com.ym.mec.im;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;

import com.ym.mec.common.config.FeignConfiguration;
import com.ym.mec.im.fallback.UserFeignServiceFallback;

@FeignClient(name = "web-server", contextId = "UserFeignService", configuration = FeignConfiguration.class, fallback = UserFeignServiceFallback.class)
public interface UserFeignService {

	@RequestMapping(value = "api/createCashAccount")
	Boolean createCashAccount(@RequestParam("userId") Integer userId);
	
	@RequestMapping(value = "api/queryTeacherOrganId")
	public Integer queryTeacherOrganId(@RequestParam("userId") Integer userId);
}
