package com.ym.mec.web.controller;

import java.util.Date;

import com.ym.mec.biz.dal.page.CourseScheduleTeacherSalaryQueryInfo;
import com.ym.mec.biz.service.CourseScheduleTeacherSalaryService;
import com.ym.mec.biz.service.VipGroupService;
import com.ym.mec.common.controller.BaseController;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RequestMapping("courseScheduleTeacherSalary")
@Api(tags = "教师薪酬服务")
@RestController
public class CourseScheduleTeacherSalaryController extends BaseController {

    @Autowired
    private CourseScheduleTeacherSalaryService courseScheduleTeacherSalaryService;
    
    @Autowired
    private VipGroupService vipGroupService;

    @ApiOperation(value = "分页查询教师薪酬列表")
    @GetMapping("/queryPage")
    @PreAuthorize("@pcs.hasPermissions('courseScheduleTeacherSalary/queryPage')")
    public Object queryPage(CourseScheduleTeacherSalaryQueryInfo queryInfo) {
        return succeed(courseScheduleTeacherSalaryService.querySalaries(queryInfo));
    }
    
    @GetMapping("/updateHistoryTeacherSalaryOfOnline")
    public Object updateHistoryTeacherSalaryOfOnline(Date startDate, Date endDate) {
    	vipGroupService.updateHistoryTeacherSalaryOfOnline(startDate, endDate);
        return succeed();
    }
}
